"""app URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

from core.ui.views.drilldown import Drilldown
from core.views import Billing, Home, Signup

urlpatterns = [
    path("", Home.as_view(), name="home"),
    path("billing/", Billing.as_view(), name="billing"),
    path("admin/", admin.site.urls),
    path("accounts/", include("django.contrib.auth.urls")),
    path("accounts/signup/", Signup.as_view(), name="signup"),
    path("ui/drilldown/", Drilldown.as_view(), name="drilldown"),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
