from django.contrib.auth.mixins import LoginRequiredMixin
from django.shortcuts import render
from django.urls import reverse_lazy
from django.views import View
from django.views.generic.edit import CreateView

from core.forms import NewUserForm

# Create your views here


class Home(View):
    template_name = "index.html"

    def get(self, request):
        return render(request, self.template_name)


class Billing(LoginRequiredMixin, View):
    template_name = "billing.html"

    def get(self, request):
        return render(request, self.template_name)


class Signup(CreateView):
    form_class = NewUserForm
    success_url = reverse_lazy("login")
    template_name = "registration/signup.html"
